Create Favicon Image
Uploads an image file to use as the storefront favicon. Supported MIME types include GIF, JPEG, and PNG.
- Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only.
- The uploaded image can be up to 10 MB. Larger files result in an error.
Authentication
X-Auth-Tokenstring
OAuth scopes
NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
channel_id
Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.
Request
This endpoint expects a multipart form containing an optional file.
FaviconFile
Response
OK
Errors
422
Unprocessable Entity Error